Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class nth

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.nth

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class nth

extends DefaultInternalAction

Internal action: `.nth`.

Description: gets the nth term of a list.

Parameters:

- + index (integer): the position of the term, the first term is at position 0.
- + list (list): the list where to get the term from.
- -/+ term (term): the term at position index in the list.

Examples:

- `.nth(0,[a,b,c],X)`: unifies `X` with `a`.
- `.nth(2,[a,b,c],X)`: unifies `X` with `c`.
- `.nth(0,[a,b,c],d)`: false.
- `.nth(0,[a,b,c],a)`: true.
- `.nth(5,[a,b,c],X)`: error.

See Also:
  `concat`, `delete`, `length`, `member`, `sort`, `max`, `min`, `reverse`, `difference`, `intersection`, `union`, Serialized Form

Constructor Summary
`nth()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### nth

    public nth()

Method Detail

### create

    public static InternalAction create()

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD